### Method

# Malcontent Manager get_app_filter_finish

since: 0.3.0

#### Declaration [src]

    MctAppFilter*
    mct_manager_get_app_filter_finish (
      MctManager* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation to get the app filter for a user, started with `mct_manager_get_app_filter_async()`.

Available since: 0.3.0

#### Parameters

`result`

  Type: `GAsyncResult`

  The asynchronous operation result.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `MctAppFilter`

App filter for the queried user.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.